MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005796ardourfeaturespublic2013-12-23 06:582017-12-08 00:55
Reporterherr_doktor 
Assigned Todrobilla 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version3.0 
Target VersionFixed in Version 
Summary0005796: Midi default velocity value
DescriptionAs 64 is an absolute medium value only based on midi velocity scale in general, it could be interesting to edit this default value in session properties or region properties. Mouse programming a loud drum song/part for example may need a medium value circa 100, whilst it may be 80 or 64 for a ballad or soft song. Without this possibility, mouse editing midi parts is long and boring due to the time spend to change value from 64 to 95, 107 etc. and auditioning at a good medium velocity simplifies the creative part of the job.
TagsNo tags attached.
Attached Files

- Relationships
related to 0004324resolveddrobilla A3 should have MIDI velocity editing facilities 

-  Notes
(0015536)
derAbgang (reporter)
2014-01-03 12:22

Although a preference item would be ok for your use case, a more comprehensive solution is a feature in which every step-entered note has the same velocity as the previously entered note. So basically, you edit the first note to 100 and all others are dropped in at velocity 100.

This allows a bit more flexibility when step-entering longer passages.
(0015554)
paul (administrator)
2014-01-07 18:04

this is a very nice idea. it will be part of the "MIDI focus" work coming up in the next month, thereabouts.
(0016214)
BenLoftis (developer)
2015-01-07 14:11

Part of this has been implemented: drawing notes with the Draw ("pencil") tool will add notes with the same velocity as neighboring notes.
(0016220)
drobilla (developer)
2015-01-07 18:12

IMO using the new use of neighboring note's values is at least as good if not better as this, considering fixed.

Feel free to reopen if you disagree.

- Issue History
Date Modified Username Field Change
2013-12-23 06:58 herr_doktor New Issue
2014-01-03 12:22 derAbgang Note Added: 0015536
2014-01-07 18:04 paul Note Added: 0015554
2014-01-22 04:24 x42 Relationship added related to 0004324
2015-01-07 14:11 BenLoftis Note Added: 0016214
2015-01-07 18:12 drobilla Note Added: 0016220
2015-01-07 18:12 drobilla Assigned To => drobilla
2015-01-07 18:12 drobilla Status new => resolved
2015-01-07 18:12 drobilla Resolution open => fixed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker